# Advent_of_Code_2023_Intermate

This Repository is intended for sharing your advent of code solutions in the year 2023.

The setup is quite simple, everyone can create their own branch. On this branch you can upload all your solutions.


**How do you set up a branch for this Repository?**

*This assumes that you have git in your command line*

1. Make a folder for all your AOC solutions.
2. Open this folder in your terminal
3. You should now be in something similar to `$C:/Users/.../AOC/`
4. `$git init`
(This initializes Git)
5. `$git checkout -b Bobbie` <-replace Bobbie with your name
(Here you create a branch with your name)
6. `$git add .`
(Now you add all files, unless they are in your gitignore, to the project)
7. `$git commit -am "first commit"`
(Then you commit them. -a means you want all new changes to be commited and -m is to add a message)

**FOR SINGLE USE**
8. `$git push https://git.intermate.nl/CIE_plus_plus/Advent_of_Code_2023_Intermate.git Bobbie` <- Again replace Bobbie with your name
(Finally you push the commit to Intermate and to the Branch of your name)

**TO ADD ORIGIN**
8. `$git remote add -t Bobbie Intermate https://git.intermate.nl/CIE_plus_plus/Advent_of_Code_2023_Intermate.git`
This adds a remote origin with branch name Bobbie, with origin name intermate on the specified link
(Rename Bobbie to your actual name)

When you now want to commit something to the Intermate git, you only have to repeat these two steps:
1. `$git commit -am "Yihaaa"`
2. `$git push -u Intermate Bobbie`


